{ config, pkgs, ... }:
{
  imports =
    [
      ./hardware-configuration.nix

      ../../modules/base.nix
      ../../modules/base-efi-systemd.nix
      ../../modules/base-graphical.nix
      ../../modules/power-management.nix
      ../../modules/usb-mtp-ptp.nix
      ../../modules/lid-switch-handling.nix

      ../../modules/gnome-base.nix
      # Not required as display scale is set 2.0 (multiple of 1).
      #../../modules/gnome-fractional-scaling.nix
      ../../modules/fwupd-gnome.nix
      ../../modules/programs-gnome.nix

      ../../modules/programs-base.nix
      ../../modules/programs.nix
      ../../modules/flatpak.nix
      ../../modules/rnote.nix
      ../../modules/ausweisapp.nix
      ../../modules/nextcloud-client.nix
      ../../modules/syncthing.nix
      ../../modules/element-desktop.nix
      ../../modules/obsidian.nix
      ../../modules/tor-browser.nix
      #../../modules/tor.nix
      #../../modules/digikam-rawtherapee-hugin-gimp.nix
      ../../modules/freetube.nix
      ../../modules/print-and-scan.nix
      #../../modules/waydroid.nix
      ../../modules/uni-vpn.nix
      #../../modules/epa.nix

      #../../modules/autostart.nix

      #
      # Development
      #

      ../../modules/git.nix
      ../../modules/nitrokey-gpg-smartcard.nix
      ../../modules/ssh-client.nix
      ../../modules/ssh-server.nix

      ../../modules/jetbrains-ide.nix
      #../../modules/vscodium.nix
      #../../modules/android.nix
      #../../modules/pmbootstrap.nix
    ];

  networking.hostName = "yodaTab";
  boot.initrd.luks.devices."luks-ba8b94d0-7f70-496a-ad87-eadc5e852aad".allowDiscards = true;
  boot.initrd.luks.devices."512gb".allowDiscards = true;
  yoda.btrfsFileSystems = ["/"];
  #yoda.btrfsMounts = yoda.btrfsFileSystems;
  fileSystems."/mnt/512gb".options = [ "noatime" "commit=60" ]; # Ext4

  boot.kernelParams = [
    # If the CPU is vulnerable, enable all available mitigations
    # except `nosmt` as we don't run any VMs on this machine.
    "mds=full"
  ];
  boot.kernelPackages = pkgs.linuxPackages_latest;

  # Most users should never change this value after the initial install, for any reason, even if you've upgraded your system to a new NixOS release.
  system.stateVersion = "23.05";
}
