{ config, pkgs, ... }:
{
  networking.hostName = "yodaTux";
  boot.initrd.luks.devices."luks-ea7099e3-320d-4eb3-a4c3-9910a9af817b".allowDiscards = true;
  yoda.btrfsFileSystems = ["/"];
  #yoda.btrfsMounts = yoda.btrfsFileSystems;

  boot.kernelParams = [
    # If the CPU is vulnerable, enable all available mitigations.
    #
    # Microarchitectural Data Sampling (MDS), see https://www.kernel.org/doc/html/latest/admin-guide/hw-vuln/mds.html#mitigation-control-on-the-kernel-command-line
    "mds=full,nosmt"

    # Systemd Journal entry:
    # TSC found unstable after boot, most likely due to broken BIOS. Use 'tsc=unstable'.
    #"tsc=unstable"
  ];

  # Most users should never change this value after the initial install, for any reason, even if you've upgraded your system to a new NixOS release.
  system.stateVersion = "23.05";
}
