{ config, pkgs, lib, ... }:
{
  imports = [
    ../yodaTux/hardware-configuration.nix
    ../yodaTux/host-specific.nix
    #../../modules/tuxedo-rs.nix
    #../../modules/gpu-amd.nix

    ../../modules/base-minimal.nix
    ../../modules/base-efi-systemd.nix
    ../../modules/headless.nix

    # Reduce size, see https://sidhion.com/blog/nixos_server_issues/
    #<nixpkgs/nixos/modules/profiles/minimal.nix>
    ##<nixpkgs/nixos/modules/profiles/perlless.nix>

    ./cpu-fixed-frequency.nix
    ../../modules/java.nix
  ];

  #boot.kernelPackages = pkgs.linuxPackages_latest;
  boot.kernelPackages = pkgs.linuxPackages_zen;

  # Reduce size, see https://sidhion.com/blog/nixos_server_issues/
  #nix.enable = false;
  #services.udev.enable = false;

  # Reduce size, see https://github.com/nix-community/nixos-images/blob/0445e18f137cfe4ad7313e9569d06a67219f6ca5/nix/noninteractive.nix#L56-L66
  #security.sudo.enable = false;
  #security.polkit.enable = lib.mkForce false;
  #documentation.man.enable = false;
  #services.dbus.implementation = "broker";
  #security.pam.services.su.forwardXAuth = lib.mkForce false;

  # Network is disabled, so no need for these system services.
  services.nscd.enable = false;
  system.nssModules = lib.mkForce [];
  networking.dhcpcd.enable = false;
}
