{ config, pkgs, ... }:
{
  imports = [
    ./hardware-configuration.nix
    ../../modules/base.nix
    ../../modules/base-efi-systemd.nix
    ../../modules/base-graphical.nix

    # Remote unlock
    ../../modules/ssh-fde-unlock.nix
    # Remote deployment
    ../../modules/ssh-server.nix

    ../../modules/gnome-base.nix
    ../../modules/gnome-fractional-scaling.nix
    ../../modules/fwupd-gnome.nix
    ../../modules/programs-gnome.nix

    ../../modules/programs-base.nix
    ../../modules/print-and-scan.nix
  ];

  networking.hostName = "yodaYoga";
  boot.initrd.luks.devices."luks-a8521407-e25b-4f26-8e7a-a56fcbfd2e35".allowDiscards = true;
  yoda.btrfsFileSystems = ["/"];
  #yoda.btrfsMounts = yoda.btrfsFileSystems;

  boot.kernelParams = [
    # If the CPU is vulnerable, enable all available mitigations
    # except `nosmt` as we don't run any VMs on this machine.
    "mds=full"
  ];
  boot.kernelPackages = pkgs.linuxPackages;

  # Most users should never change this value after the initial install, for any reason, even if you've upgraded your system to a new NixOS release.
  system.stateVersion = "23.05";
}
