{ config, pkgs, ... }:
{
  users.users."yoda" = {
    packages = with pkgs; [
      #zenith # Terminal resource monitor / task manager
      btop   # Terminal resource monitor / task manager
      htop   # Terminal resource monitor / task manager
    ];
  };

  # Terminal multiplexer
  programs.screen.enable = true;
  programs.screen.screenrc = ''
    defscrollback 10000
    startup_message off
  '';

  # Small storage space savings.
  #
  # Don't install documentation to `/share/doc`.
  documentation.doc.enable = false;
  # Don't install man pages.
  documentation.man.enable = false;
  # Don't install install info pages and the info command.
  documentation.info.enable = false;

  # To enable port forwarding to a headless NixOS server,
  # we don't want the suffix if its global IPv6 address to change regularly.
  networking.tempAddresses = "disabled";
}
